﻿<h2>Books</h2>
<style>
    .width-50 {
        width: 100%;
    }
</style>

<div class="width-50">
    <div class="d-flex justify-content-between ">
        <input type="hidden" id="entidad" value="Book" />

        <button type="button" onclick="nuevo()" class="btn btn-primary">Nuevo</button>
        <div class="m-1">
            <div class="d-flex align-items-center">
                <label for="cmbRegxPagina" class="fw-bold me-2">Mostrar</label>
                <select id="cmbRegxPagina" onchange="cambiarTotalRegistrosMostrar()" class="form-select">
                    <option value="10">10</option>
                    <option value="20">20</option>
                    <option value="25">25</option>
                    <option value="50">50</option>
                    <option value="75">75</option>
                    <option value="100">100</option>
                </select>
            </div>
        </div>
    </div>

    <table id="tblData">
        <thead>
            <tr>
                <th>ID</th>
                <th>Titulo</th>
                <th>Genero</th>
                <th>Acciones</th>
            </tr>
        </thead>
        <tbody>
        </tbody>
    </table>

    <div id="paginacion" class="d-flex pt-2">
        <button id="btnPagInicio" onclick="irInicio()" class="btn btn-primary m-1">|&lt;</button>
        <button id="btnAnterior" onclick="atras()" class="btn btn-primary m-1">Anterior</button>
        <div class="align-items-center m-1">
            <select id='cmbListaPaginas' onchange='seleccionPagina()' class='form-select'></select>
        </div>
        <button id="btnSiguiente" onclick="adelante()" class="btn btn-primary m-1">Siguiente</button>
        <button id="btnPagUltimo" onclick="irUltimo()" class="btn btn-primary m-1">&gt;|</button>
    </div>
</div>

<script>
    function htmlRow(item) {
        return "<tr>" +
            "<td>" + item.id + "</td>" +
            "<td>" + item.title + "</td>" +
            "<td>" + item.author.fullName + "</td>" +
            "<td>" + item.genre.nombre + "</td>" +
            "<td class='text-center'>" +
            "<button onclick='verDetalle(" + item.id + ")' class=\"btn btn-primary\">Detalle</button>" +
            "<button onclick='editar(" + item.id + ")' class=\"btn btn-warning\">Editar</button>" +
            "<button onclick='eliminar(" + item.id + ")' class=\"btn btn-danger\">Eliminar</button>" +
            "</td>" +
            "</tr>"
    };
</script>

<script src="~/js/crud/items_pags.js"></script>
